*** vim.spec	2013-12-17 19:38:33.000000000 +0900
--- vim.spec.new	2014-01-29 19:13:06.250167916 +0900
***************
*** 1,4 ****
! %define patchlevel 131
  %if %{?WITH_SELINUX:0}%{!?WITH_SELINUX:1}
  %define WITH_SELINUX 1
  %endif
--- 1,4 ----
! %define patchlevel 160
  %if %{?WITH_SELINUX:0}%{!?WITH_SELINUX:1}
  %define WITH_SELINUX 1
  %endif
***************
*** 12,17 ****
--- 12,18 ----
  %define withvimspell 0
  %define withhunspell 0
  %define withruby 1
+ %define withlua 1
  
  %define baseversion 7.4
  %define vimdir vim74
***************
*** 178,183 ****
--- 179,213 ----
  Patch129: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.129
  Patch130: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.130
  Patch131: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.131
+ Patch132: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.132
+ Patch133: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.133
+ Patch134: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.134
+ Patch135: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.135
+ Patch136: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.136
+ Patch137: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.137
+ Patch138: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.138
+ Patch139: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.139
+ Patch140: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.140
+ Patch141: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.141
+ Patch142: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.142
+ Patch143: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.143
+ Patch144: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.144
+ Patch145: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.145
+ Patch146: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.146
+ Patch147: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.147
+ Patch148: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.148
+ Patch149: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.149
+ Patch150: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.150
+ Patch151: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.151
+ Patch152: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.152
+ Patch153: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.153
+ Patch154: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.154
+ Patch155: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.155
+ Patch156: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.156
+ Patch157: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.157
+ Patch158: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.158
+ Patch159: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.159
+ Patch160: ftp://ftp.vim.org/pub/vim/patches/7.4/7.4.160
  
  Patch3000: vim-7.4-syntax.patch
  Patch3002: vim-7.1-nowarnings.patch
***************
*** 196,207 ****
--- 226,241 ----
  BuildRequires: python-devel ncurses-devel gettext perl-devel
  BuildRequires: perl(ExtUtils::Embed) perl(ExtUtils::ParseXS)
  BuildRequires: libacl-devel gpm-devel autoconf
+ BuildRequires: compat-libtermcap
  %if %{WITH_SELINUX}
  BuildRequires: libselinux-devel
  %endif
  %if "%{withruby}" == "1"
  Buildrequires: ruby-devel ruby
  %endif
+ %if "%{withlua}" == "1"
+ Buildrequires: lua-devel lua
+ %endif
  %if %{desktop_file}
  # for /usr/bin/desktop-file-install
  Requires: desktop-file-utils
***************
*** 454,459 ****
--- 488,522 ----
  %patch129 -p0
  %patch130 -p0
  %patch131 -p0
+ %patch132 -p0
+ %patch133 -p0
+ %patch134 -p0
+ %patch135 -p0
+ %patch136 -p0
+ %patch137 -p0
+ %patch138 -p0
+ %patch139 -p0
+ %patch140 -p0
+ %patch141 -p0
+ %patch142 -p0
+ %patch143 -p0
+ %patch144 -p0
+ %patch145 -p0
+ %patch146 -p0
+ %patch147 -p0
+ %patch148 -p0
+ %patch149 -p0
+ %patch150 -p0
+ %patch151 -p0
+ %patch152 -p0
+ %patch153 -p0
+ %patch154 -p0
+ %patch155 -p0
+ %patch156 -p0
+ %patch157 -p0
+ %patch158 -p0
+ %patch159 -p0
+ %patch160 -p0
  
  # install spell files
  %if %{withvimspell}
***************
*** 484,489 ****
--- 547,553 ----
  sed -e "s+VIMRCLOC	= \$(VIMLOC)+VIMRCLOC	= /etc+" Makefile > Makefile.tmp
  mv -f Makefile.tmp Makefile
  
+ export LIBS="-ltermcap"
  export CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"
  export CXXFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"
  
***************
*** 494,501 ****
    --enable-xim --enable-multibyte \
    --with-tlib=ncurses \
    --enable-gtk2-check --enable-gui=gtk2 \
!   --with-compiledby="<bugzilla@redhat.com>" --enable-cscope \
!   --with-modified-by="<bugzilla@redhat.com>" \
  %if "%{withnetbeans}" == "1"
    --enable-netbeans \
  %else
--- 558,565 ----
    --enable-xim --enable-multibyte \
    --with-tlib=ncurses \
    --enable-gtk2-check --enable-gui=gtk2 \
!   --with-compiledby="<ptan@ptan.info>" --enable-cscope \
!   --with-modified-by="<ptan@ptan.info>" \
  %if "%{withnetbeans}" == "1"
    --enable-netbeans \
  %else
***************
*** 511,516 ****
--- 575,585 ----
  %else
    --disable-rubyinterp \
  %endif
+ %if "%{withlua}" == "1"
+   --enable-luainterp=dynamic \
+ %else
+   --disable-luainterp \
+ %endif
  
  make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/%{vimdir} %{?_smp_mflags}
  cp vim gvim
***************
*** 522,530 ****
   --disable-tclinterp \
   --with-x=no \
   --enable-gui=no --exec-prefix=%{_prefix} --enable-multibyte \
!  --enable-cscope --with-modified-by="<bugzilla@redhat.com>" \
   --with-tlib=ncurses \
!  --with-compiledby="<bugzilla@redhat.com>" \
  %if "%{withnetbeans}" == "1"
    --enable-netbeans \
  %else
--- 591,599 ----
   --disable-tclinterp \
   --with-x=no \
   --enable-gui=no --exec-prefix=%{_prefix} --enable-multibyte \
!  --enable-cscope --with-modified-by="<ptan@ptan.info>" \
   --with-tlib=ncurses \
!  --with-compiledby="<ptan@ptan.info>" \
  %if "%{withnetbeans}" == "1"
    --enable-netbeans \
  %else
***************
*** 540,545 ****
--- 609,619 ----
  %else
    --disable-rubyinterp \
  %endif
+ %if "%{withlua}" == "1"
+   --enable-luainterp=dynamic \
+ %else
+   --disable-luainterp \
+ %endif
  
  make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/%{vimdir} %{?_smp_mflags}
  cp vim enhanced-vim
***************
*** 557,564 ****
  %endif
    --disable-pythoninterp --disable-perlinterp --disable-tclinterp \
    --with-tlib=ncurses --enable-gui=no --disable-gpm --exec-prefix=/ \
!   --with-compiledby="<bugzilla@redhat.com>" \
!   --with-modified-by="<bugzilla@redhat.com>"
  
  make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/%{vimdir} %{?_smp_mflags}
  
--- 631,638 ----
  %endif
    --disable-pythoninterp --disable-perlinterp --disable-tclinterp \
    --with-tlib=ncurses --enable-gui=no --disable-gpm --exec-prefix=/ \
!   --with-compiledby="<ptan@ptan.info>" \
!   --with-modified-by="<ptan@ptan.info>"
  
  make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/%{vimdir} %{?_smp_mflags}
  
***************
*** 954,959 ****
--- 1028,1037 ----
  %{_datadir}/icons/hicolor/*/apps/*
  
  %changelog
+ * Wed Jan 29 2014 tcpiptan <ptan@ptan.info> 7.4.160-1
+ - patchlevel 160
+ - use --enable-luainterp=dynamic
+ 
  * Tue Dec 17 2013 Karsten Hopp <karsten@redhat.com> 7.4.131-1
  - patchlevel 131
  
